Subject: [ietf-dkim] base-02: Normative order of verification steps

From: Jim Fenton <[email-masked]>
Date: Wed, 31 May 2006 13:29:20 -0700

Section 6 of base-02 defines a specific order for the steps in the
verification process.  The last sentence of section 6 says, "Verifiers
MUST apply the following steps in the order listed."

I think this is too prescriptive of the verification process.  Later on,
it does say that some of the steps can happen in parallel, but it can go
further than that.  It should be possible, for example, to verify the
body hash on a message, and if it doesn't match, it shouldn't be
necessary to retrieve the key at all.  Can we instead concentrate on the
steps that need to be performed rather than their order?

-Jim
_______________________________________________
NOTE WELL: This list operates according to 
http://mipassoc.org/dkim/ietf-list-rules.html